<?php

include './core.php';

$suchbegriff = mysql_real_escape_string($_GET['a']);
$Smarty->assign('suchbegriff', $suchbegriff);

//$prfbegriff = mysql_real_escape_string($_GET['profession']);
//$Smarty->assign('prfbegriff', $prfbegriff);
$prof = intval($_GET['profession']);
//$profession = mysql_fetch_row($MySQL->query("SELECT bezeichnung FROM server.professionen WHERE id = $prof"));
//$prfbegriff = $profession[0];

$order = mysql_real_escape_string($_GET['ordnen']);
if ($order == "" or $order == "Professionsstufe")
	$order = "minimum";
$Smarty->assign('order', $order);
	
$grp = intval($_GET['chkGrp']);
//if ($grp != 1)
	//$grp = 0;
$Smarty->assign('grp', $grp);

$min = mysql_real_escape_string($_GET['min']);
$max = mysql_real_escape_string($_GET['max']);

if ($min < 0 or $min=="")
	$min = 0;
if ($max < 1 or $max=="")
	$max = 50;
	
$Smarty->assign('min', $min);
$Smarty->assign('max', $max);
	
$proflist = $MySQL->fetch_complete("SELECT id, bezeichnung FROM server.professionen WHERE id != 0");
$Smarty->assign('proflist', $proflist);
$Smarty->assign('proflistsel', $prof);


//$query = "SELECT id FROM server.professionen WHERE bezeichnung = '$prfbegriff'";  
//$result = $MySQL->query($query);

//$profession = mysql_fetch_object($result);

if ($grp != 1) {
	if ($prof != -1){
		$query = "SELECT her_herstellungsid, name, beschreibung, bezeichnung, min(stufe) AS minimum FROM server.herstellung INNER JOIN server.herstellung_profession ON (server.herstellung.her_herstellungsid = herstellung_profession.herstellungsid) INNER JOIN server.professionen ON (server.herstellung_profession.profession = professionen.id) 
		WHERE (name like '%$suchbegriff%' OR beschreibung like '%$suchbegriff%' OR name_interface like '%$suchbegriff%') AND (profession = $prof) AND (freigeschalten = 1) AND (beschreibung != '')
		GROUP BY her_herstellungsid, profession ORDER BY $order LIMIT $min, $max";}
	else
		$query = "SELECT her_herstellungsid, name, beschreibung, bezeichnung, min(stufe) AS minimum FROM server.herstellung INNER JOIN server.herstellung_profession ON (server.herstellung.her_herstellungsid = server.herstellung_profession.herstellungsid) INNER JOIN server.professionen ON (server.herstellung_profession.profession = server.professionen.id)
		WHERE (name like '%$suchbegriff%' OR beschreibung like '%$suchbegriff%' OR name_interface like '%$suchbegriff%') AND (freigeschalten = 1) AND (beschreibung != '')
		GROUP BY her_herstellungsid ORDER BY $order LIMIT $min, $max"; }
else {
	if ($prof != -1){
		$query = "SELECT her_herstellungsid, name, beschreibung, bezeichnung, min(stufe) AS minimum FROM server.herstellung INNER JOIN server.herstellung_profession ON (server.herstellung.her_herstellungsid = herstellung_profession.herstellungsid) INNER JOIN server.professionen ON (server.herstellung_profession.profession = professionen.id) 
		WHERE (name like '%$suchbegriff%' OR beschreibung like '%$suchbegriff%' OR name_interface like '%$suchbegriff%') AND (profession = $prof) AND (freigeschalten = 1) AND (beschreibung != '')
		GROUP BY rezeptid ORDER BY $order LIMIT $min, $max";}
	else
		$query = "SELECT her_herstellungsid, name, beschreibung, bezeichnung, min(stufe) AS minimum FROM server.herstellung INNER JOIN server.herstellung_profession ON (server.herstellung.her_herstellungsid = server.herstellung_profession.herstellungsid) INNER JOIN server.professionen ON (server.herstellung_profession.profession = server.professionen.id)
		WHERE (name like '%$suchbegriff%' OR beschreibung like '%$suchbegriff%' OR name_interface like '%$suchbegriff%') AND (freigeschalten = 1) AND (beschreibung != '')
		GROUP BY rezeptid ORDER BY $order LIMIT $min, $max"; }

		
$items = $MySQL->fetch_complete($query);
$Smarty->assign('items', $items);


$page['content'] = $Smarty->fetch( 'itemsuche_intern.tpl' );

$Smarty->assign( 'page', $page );
$Smarty->display( 'main.tpl' );

?>
